#version 130

uniform sampler2D texture0;

in vec4 color;
in  vec2 texCoord;
out vec4 outColor;

void main(void) {
	outColor = color*texture(texture0, texCoord.st);
	//if(outColor.a < 0.3)
	//	discard;
	outColor.g = (outColor.r + outColor.g + outColor.b) / 3;
	outColor.b = outColor.g;
	outColor.r = outColor.b;
}
